---

- import_tasks:
    file: autologin.yml
  when: login.auto|default(false)|bool == True
  tags: ['autologin']

- name: Synchronize templates - wm
  template:
    src: "home/{{ item }}.j2"
    dest: "{{ user.home }}/{{ item }}"
    owner: "{{ user.name }}"
    group: "{{ user.group }}"
    mode: '0644'
    backup: yes
  with_items:
    - .config/dunst/dunstrc
    - .config/i3/autostart
    - .config/i3/config
    - .config/i3/window_assignments
    - .config/i3status-rust/config.toml
    - .config/i3status-rust/themes/syncopated.toml
    - .config/picom/picom.conf
  register: wmconfig
  tags: ['i3', 'dunst', 'picom']

- name: Syncronize keybindings
  template:
    src: "home/{{ item }}.j2"
    dest: "{{ user.home }}/{{ item }}"
    owner: "{{ user.name }}"
    group: "{{ user.group }}"
    mode: '0644'
    backup: yes
  with_items:
    - .config/i3/bindings
    - .config/sxhkd/sxhkdrc
  register: keybindings
  tags: ['i3', 'sxhkd', 'keybindings']

- name: Reload i3
  command: bash -lc "i3-msg -s /run/user/{{ user.uid }}/i3/ipc-socket.* reload"
  become_user: "{{ user.name }}"
  when: (wmconfig is defined and wmconfig.changed or keybindings.changed)
  ignore_errors: True
  tags: ['i3', 'dunst', 'picom', 'keybindings', 'sxhkd']

- import_tasks:
    file: menu.yml
  tags: ['menu']

- name: Synchronize templates - terminal
  template:
    src: "home/{{ item }}.j2"
    dest: "{{ user.home }}/{{ item }}"
    owner: "{{ user.name }}"
    group: "{{ user.group }}"
    mode: '0644'
    backup: yes
  with_items:
    - .config/alacritty/alacritty.yml
    - .config/kitty/cpu.conf
    - .config/kitty/current-theme.conf
    - .config/kitty/kitty.conf
    - .config/kitty/open-actions.conf
    - .config/kitty/start.conf
  tags: ['terminal', 'alacritty', 'kitty', 'tilda']

- name: Synchronize templates - applications
  template:
    src: "home/{{ item }}.j2"
    dest: "{{ user.home }}/{{ item }}"
    owner: "{{ user.name }}"
    group: "{{ user.group }}"
    mode: '0644'
    backup: yes
  with_items:
    - .config/htop/htoprc
    - .config/qutebrowser/autoconfig.yml
    - .config/qutebrowser/config.py
    - .config/qutebrowser/quickmarks
    # - .config/zim/accelmap
    # - .config/zim/preferences.conf
    # - .config/zim/quicknote.conf
    # - .config/zim/style.conf
    # - .local/share/zim/templates/plugins/quicknote.txt
    - .sonic-pi/config/colour-theme.properties
  tags: ['htop', 'zim', 'qutebrowser', 'sonicpi', 'theme']
